Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Interface PresenceEventListener

All Known Implementing Classes:
  IQPEPHandler

    public interface PresenceEventListener

Interface to listen for presence events. Use the `PresenceEventDispatcher.addListener(PresenceEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `availableSession(ClientSession session, org.xmpp.packet.Presence presence)` Notification message indicating that a session that was not available is now available.
`void` | `presenceChanged(ClientSession session, org.xmpp.packet.Presence presence)` Notification message indicating that an available session has changed its presence.
`void` | `subscribedToPresence(org.xmpp.packet.JID subscriberJID, org.xmpp.packet.JID authorizerJID)` Notification message indicating that a user has successfully subscribed to the presence of another user.
`void` | `unavailableSession(ClientSession session, org.xmpp.packet.Presence presence)` Notification message indicating that a session that was available is no longer available.
`void` | `unsubscribedToPresence(org.xmpp.packet.JID unsubscriberJID, org.xmpp.packet.JID recipientJID)` Notification message indicating that a user has unsubscribed to the presence of another user.

Method Detail

### availableSession

    void availableSession(ClientSession session,
                          org.xmpp.packet.Presence presence)

  Notification message indicating that a session that was not available is now available. A session becomes available when an available presence is received. Sessions that are available will have a route in the routing table thus becoming eligible for receiving messages (in particular messages sent to the user bare JID).

  Parameters:
    `session` - the session that is now available.
    `presence` - the received available presence.

### unavailableSession

    void unavailableSession(ClientSession session,
                            org.xmpp.packet.Presence presence)

  Notification message indicating that a session that was available is no longer available. A session becomes unavailable when an unavailable presence is received. The entity may still be connected to the server and may send an available presence later to indicate that communication can proceed.

  Parameters:
    `session` - the session that is no longer available.
    `presence` - the received unavailable presence.

### presenceChanged

    void presenceChanged(ClientSession session,
                         org.xmpp.packet.Presence presence)

  Notification message indicating that an available session has changed its presence. This is the case when the user presence changed the show value (e.g. away, dnd, etc.) or the presence status message.

  Parameters:
    `session` - the affected session.
    `presence` - the received available presence with the new information.

### subscribedToPresence

    void subscribedToPresence(org.xmpp.packet.JID subscriberJID,
                              org.xmpp.packet.JID authorizerJID)

  Notification message indicating that a user has successfully subscribed to the presence of another user.

  Parameters:
    `subscriberJID` - the user that initiated the subscription.
    `authorizerJID` - the user that authorized the subscription.

### unsubscribedToPresence

    void unsubscribedToPresence(org.xmpp.packet.JID unsubscriberJID,
                                org.xmpp.packet.JID recipientJID)

  Notification message indicating that a user has unsubscribed to the presence of another user.

  Parameters:
    `unsubscriberJID` - the user that initiated the unsubscribe request.
    `recipientJID` - the recipient user of the unsubscribe request.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.